org.apache.ode.bpel.pmapi.impl

## Class MockQueryRequestDocumentImpl.MockQueryRequestImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.values.XmlObjectBase
  - - org.apache.xmlbeans.impl.values.XmlComplexContentImpl
    - - org.apache.ode.bpel.pmapi.impl.MockQueryRequestDocumentImpl.MockQueryRequestImpl

- All Implemented Interfaces:
    java.io.Serializable, MockQueryRequestDocument.MockQueryRequest, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  Enclosing class:
    MockQueryRequestDocumentImpl

      public static class MockQueryRequestDocumentImpl.MockQueryRequestImpl
      extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
      implements MockQueryRequestDocument.MockQueryRequest

  An XML mockQueryRequest(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MockQueryRequestDocumentImpl.MockQueryRequestImpl.PatternImpl` An XML pattern(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

    - ### Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.MockQueryRequestDocument.MockQueryRequest

      `MockQueryRequestDocument.MockQueryRequest.Factory, MockQueryRequestDocument.MockQueryRequest.Pattern`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_voorVc, KIND_SETTERHELPER_ARRAYITEM, KIND_SETTERHELPER_SINGLETON, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

    - ### Fields inherited from interface org.apache.ode.bpel.pmapi.MockQueryRequestDocument.MockQueryRequest

      `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockQueryRequestImpl(org.apache.xmlbeans.SchemaType sType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.XmlObject` | `addNewIn()` Appends and returns a new empty "in" element
    `java.util.Calendar` | `getCreateTime()` Gets the "createTime" element
    `org.apache.xmlbeans.XmlObject` | `getIn()` Gets the "in" element
    `java.lang.String` | `getOperation()` Gets the "operation" element
    `MockQueryRequestDocument.MockQueryRequest.Pattern.Enum` | `getPattern()` Gets the "pattern" element
    `javax.xml.namespace.QName` | `getService()` Gets the "service" element
    `void` | `setCreateTime(java.util.Calendar createTime)` Sets the "createTime" element
    `void` | `setIn(org.apache.xmlbeans.XmlObject in)` Sets the "in" element
    `void` | `setOperation(java.lang.String operation)` Sets the "operation" element
    `void` | `setPattern(MockQueryRequestDocument.MockQueryRequest.Pattern.Enum pattern)` Sets the "pattern" element
    `void` | `setService(javax.xml.namespace.QName service)` Sets the "service" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetCreateTime()` Gets (as xml) the "createTime" element
    `org.apache.xmlbeans.XmlString` | `xgetOperation()` Gets (as xml) the "operation" element
    `MockQueryRequestDocument.MockQueryRequest.Pattern` | `xgetPattern()` Gets (as xml) the "pattern" element
    `org.apache.xmlbeans.XmlQName` | `xgetService()` Gets (as xml) the "service" element
    `void` | `xsetCreateTime(org.apache.xmlbeans.XmlDateTime createTime)` Sets (as xml) the "createTime" element
    `void` | `xsetOperation(org.apache.xmlbeans.XmlString operation)` Sets (as xml) the "operation" element
    `void` | `xsetPattern(MockQueryRequestDocument.MockQueryRequest.Pattern pattern)` Sets (as xml) the "pattern" element
    `void` | `xsetService(org.apache.xmlbeans.XmlQName service)` Sets (as xml) the "service" element

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl

      `arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

    - ### Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase

      `_copy, _copy, _isComplexContent, _isComplexType, _set, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, generatedSetterHelperImpl, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDateValue, setGDurationValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Constructor Detail

    - #### MockQueryRequestImpl

          public MockQueryRequestImpl(org.apache.xmlbeans.SchemaType sType)

  - ### Method Detail

    - #### getCreateTime

          public java.util.Calendar getCreateTime()

      Gets the "createTime" element
      Specified by:
        `getCreateTime` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### xgetCreateTime

          public org.apache.xmlbeans.XmlDateTime xgetCreateTime()

      Gets (as xml) the "createTime" element
      Specified by:
        `xgetCreateTime` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### setCreateTime

          public void setCreateTime(java.util.Calendar createTime)

      Sets the "createTime" element
      Specified by:
        `setCreateTime` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### xsetCreateTime

          public void xsetCreateTime(org.apache.xmlbeans.XmlDateTime createTime)

      Sets (as xml) the "createTime" element
      Specified by:
        `xsetCreateTime` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### getService

          public javax.xml.namespace.QName getService()

      Gets the "service" element
      Specified by:
        `getService` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### xgetService

          public org.apache.xmlbeans.XmlQName xgetService()

      Gets (as xml) the "service" element
      Specified by:
        `xgetService` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### setService

          public void setService(javax.xml.namespace.QName service)

      Sets the "service" element
      Specified by:
        `setService` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### xsetService

          public void xsetService(org.apache.xmlbeans.XmlQName service)

      Sets (as xml) the "service" element
      Specified by:
        `xsetService` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### getOperation

          public java.lang.String getOperation()

      Gets the "operation" element
      Specified by:
        `getOperation` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### xgetOperation

          public org.apache.xmlbeans.XmlString xgetOperation()

      Gets (as xml) the "operation" element
      Specified by:
        `xgetOperation` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### setOperation

          public void setOperation(java.lang.String operation)

      Sets the "operation" element
      Specified by:
        `setOperation` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### xsetOperation

          public void xsetOperation(org.apache.xmlbeans.XmlString operation)

      Sets (as xml) the "operation" element
      Specified by:
        `xsetOperation` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### getIn

          public org.apache.xmlbeans.XmlObject getIn()

      Gets the "in" element
      Specified by:
        `getIn` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### setIn

          public void setIn(org.apache.xmlbeans.XmlObject in)

      Sets the "in" element
      Specified by:
        `setIn` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### addNewIn

          public org.apache.xmlbeans.XmlObject addNewIn()

      Appends and returns a new empty "in" element
      Specified by:
        `addNewIn` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### getPattern

          public MockQueryRequestDocument.MockQueryRequest.Pattern.Enum getPattern()

      Gets the "pattern" element
      Specified by:
        `getPattern` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### xgetPattern

          public MockQueryRequestDocument.MockQueryRequest.Pattern xgetPattern()

      Gets (as xml) the "pattern" element
      Specified by:
        `xgetPattern` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### setPattern

          public void setPattern(MockQueryRequestDocument.MockQueryRequest.Pattern.Enum pattern)

      Sets the "pattern" element
      Specified by:
        `setPattern` in interface `MockQueryRequestDocument.MockQueryRequest`

    - #### xsetPattern

          public void xsetPattern(MockQueryRequestDocument.MockQueryRequest.Pattern pattern)

      Sets (as xml) the "pattern" element
      Specified by:
        `xsetPattern` in interface `MockQueryRequestDocument.MockQueryRequest`